#
# Spec file for Red Hat Messaging package mrg-release.
#

# the release version (x.y) will appear in the /etc/mrg-release file
%define release_version 2.5

# this is for internal tracking (i.e. x.y.1, x.y.2, etc)
%define internal_version 0 

Name:           mrg-release
Version:        %{release_version}.%{internal_version}
Release:        3%{?dist}
Summary:        Release indicator package for MRG
Group:          System Environment/Base
License:        GPLv2
Source0:        RETIREMENT-NOTICE.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch


%description
MRG release file

%prep
%setup -c %{name}-%{version} -T
cp -p %{SOURCE0} .

%build
echo OK

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/etc

echo "Red Hat Enterprise MRG %{release_version}" > %{buildroot}/etc/mrg-release

%clean
rm -rf %{buildroot}

%check

%files
%defattr(-,root,root,-)
%attr(0644,root,root) /etc/mrg-release
%doc RETIREMENT-NOTICE.txt


%changelog
* Tue Oct 27 2020 Djordje Todorovic <dtodorov@redhat.com> - 2.5.0-3
- rev for 2.5 1-month EOL notice
- resolves: rhbz#1886872

* Tue Dec 19 2017 Mike Cressman <mcressman@redhat.com> - 2.5.0-2
- rev for 2.5 6-month EOL notice

* Tue Apr 1 2014 Mike Cressman <mcressman@redhat.com> - 2.5.0-1
- rev for 2.5 release

* Wed Nov  7 2012 Mike Cressman <mcressman@redhat.com> - 2.3.0-1
- rev for 2.3 release

* Fri Jul 20 2012 Irina Boverman <iboverma@redhat.com> - 2.2.0-1
- rev for 2.2 release

* Tue Oct 11 2011 Mike Cressman <mcressman@redhat.com> - 2.1.0-1
- rev for 2.1 release

* Wed Mar 23 2011 Mike Cressman <mcressman@redhat.com> - 2.0.0-1
- Initial build for 2.0 release

